ChangeSet 1.1807.56.18, 2004/08/05 15:33:44-07:00, johnrose@austin.ibm.com

[PATCH] PCI: rpaphp build break - remove eeh register

The following patch removes eeh function calls that currently break the
RPA PCI Hotplug module.  The functions in question were rejected from
mainline, and an alternate solution is being worked.


 drivers/pci/hotplug/rpaphp_core.c |    8 --------
 1 files changed, 8 deletions(-)


diff -Nru a/drivers/pci/hotplug/rpaphp_core.c b/drivers/pci/hotplug/rpaphp_core.c
--- a/drivers/pci/hotplug/rpaphp_core.c	2004-08-23 11:05:15 -07:00
+++ b/drivers/pci/hotplug/rpaphp_core.c	2004-08-23 11:05:15 -07:00
@@ -54,8 +54,6 @@
 MODULE_DESCRIPTION(DRIVER_DESC);
 MODULE_LICENSE("GPL");
 
-void eeh_register_disable_func(int (*)(struct pci_dev *));
-
 module_param(debug, bool, 0644);
 
 static int enable_slot(struct hotplug_slot *slot);
@@ -407,18 +405,12 @@
 {
 	info(DRIVER_DESC " version: " DRIVER_VERSION "\n");
 
-	/* let EEH know they can use hotplug */
-	eeh_register_disable_func(&rpaphp_disable_slot);
-
 	/* read all the PRA info from the system */
 	return init_rpa();
 }
 
 static void __exit rpaphp_exit(void)
 {
-	/* let EEH know we are going away */
-	eeh_register_disable_func(NULL);
-
 	cleanup_slots();
 }
 
